# AI Companion - **OpenAPI Version:** `3.1.1` - **API Version:** `2` The Zoom AI Companion APIs let you manage user interactions with the AI Companion, no matter which service the panel was opened in. They also support archiving prompts and responses. ## Servers - **URL:** `https://api.zoom.us/v2` ## Operations ### Get AI Companion conversation archives - **Method:** `GET` - **Path:** `/aic/users/{userId}/conversation_archive` - **Tags:** Archived Retrieve the AI Companion conversation archives. **[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `aic_archive:read:admin` **[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `aic:read:conversation_archives:admin` **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT` #### Responses ##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` AI Companion conversation archive returned. ###### Content-Type: application/json - **`aic_history_download_url`** `string` — The URL to download the the AI Companion conversion history file. \*\*OAuth apps\*\* If a user has authorized and installed your OAuth app that contains account user scopes, use the user's \[OAuth access token]\(/docs/integrations/oauth/) to download the AIC conversation history file for the user. For example, \`https\://{{base-domain}}/rest/v1/aic/archive/conversations/download/xxx--header 'Authorization: Bearer {{OAuth-access-token}}'\`. - **`display_name`** `string` — The user's display name. - **`email`** `string` — The user's email address. - **`end_time`** `string` — The AI Companion conversation history end time. - **`file_extension`** `string`, possible values: `"JSON"` — The AI Companion data file's extension. - **`file_size`** `integer` — The AI Companion data file's size, in bytes. - **`file_type`** `string`, possible values: `"AIC_CONVERSATION"` — The AI Companion data file's type. \* \`AIC\_CONVERSATION\` - AI Companion Conversation file. - **`physical_files`** `array` — Information about the AI Companion physical query data files. **Items:** - **`download_url`** `string` — The URL to download the AI Companion physical query data file. \*\*OAuth apps\*\* If a user has authorized and installed your OAuth app that contains account user scopes, use the user's \[OAuth access token]\(/docs/integrations/oauth/) to download the file. Example: \`https\://{{base-domain}}/rest/v1/aic/archive/attached/download/xxx--header 'Authorization: Bearer {{OAuth-access-token}}'\`. - **`file_id`** `string` — The AI Companion physical query data file's unique ID. - **`file_name`** `string` — The AI Companion physical query data file's name. - **`file_size`** `integer` — The AI Companion physical query data file's size, in bytes. - **`start_time`** `string` — The AI Companion conversation history start time. - **`timezone`** `string` — The AI Companion conversation history timezone. - **`user_id`** `string` — User ID. **Example:** ```json { "user_id": "ABCDEF123456", "email": "jchill@example.com", "display_name": "Jill Chill", "start_time": "2021-04-26T05:23:18Z", "end_time": "2021-05-26T05:23:18Z", "timezone": "Asia/Shanghai", "aic_history_download_url": "https://aic.zoom.us/rest/v1/aic/archive/conversations/download/Qg75t7xZBtEbAkjdlgbfdngBBBB", "file_extension": "JSON", "file_size": 165743, "file_type": "AIC_CONVERSATION", "physical_files": [ { "file_id": "pvKocCqVSMygaOcKus5Afw", "file_name": "Screenshot 2025-02-12 at 10.42.27 AM.png", "file_size": 540680, "download_url": "https://aic.zoom.us/rest/v1/aic/archive/attached/download/HBAXbHc15BXbnq0JoDu6tc5MWlww9MAo9JJq2d14VAWkpcT5FEA.AK5calud4EJB7bMq" } ] } ``` ##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request Invalid time range. \*\*Error Code:\*\* \`20525\` \
Returned when \`from\` or \`to\` is not a valid RFC 3339 timestamp. \
##### Status: 401 \*\*HTTP Status Code:\*\* \`401\` \
Unauthorized Authentication required to access this resource. ##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden \*\*Error Code:\*\* \`20514\` \
User does not have permission to access this resource. \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`20524\` \
User does not exist: {userId}. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rate-limits/).